> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Add members to signing group

PUT https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/signing_groups/{signingGroupId}/users
Content-Type: application/json

Adds one or more new members to a signing group. A signing group can have a maximum of 50 members. 

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/signinggroups/signinggroupusers/update

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `signingGroupId` (string, required) — The ID of the [signing group](https://support.docusign.com/s/document-item?bundleId=gav1643676262430&topicId=zgn1578456447934.html). **Note:** When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, Docusign recommends that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change t he default action of Needs to Sign to a different value, such as Receives a Copy.

### Body (application/json)

This endpoint expects a signingGroupUsers.

- `users` (list of signingGroupUser, optional) — User management information.

## Response

### 200

Successful response.

- `users` (list of signingGroupUser, optional) — User management information.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### signingGroupUser

- `email` (string, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `userName` (string, optional) — The name of the group member. Maximum Length: 100 characters.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Examples

**Request**

```json
{
  "users": [
    {
      "email": "sample string 1",
      "errorDetails": {
        "errorCode": "sample string 1",
        "message": "sample string 2"
      },
      "userName": "sample string 2"
    }
  ]
}
```

**Response**

```json
{
  "users": [
    {
      "email": "sample string 1",
      "errorDetails": {
        "errorCode": "sample string 1",
        "message": "sample string 2"
      },
      "userName": "sample string 2"
    }
  ]
}
```